Package: grails.doc.internal

## [Groovy] Class FileResourceChecker

- grails.doc.internal.FileResourceChecker

-     class FileResourceChecker
      extends java.lang.Object

  Simple class that checks whether a path relative to a base directory exists or not. Each instance of the class can have its own base directory.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.File` | `baseDir` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FileResourceChecker (java.io.File baseDir)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `exists(java.lang.Object path)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.io.File baseDir

  - ### Constructor Detail

    - #### FileResourceChecker(java.io.File baseDir)

  - ### Method Detail

    - #### boolean exists(java.lang.Object path)